package md

import "code.fnuoos.com/EggPlanet/egg_system_rules.git/rule/egg_energy/md"

type GetWithdrawSettingResp struct {
	Id                    int64                             `json:"id"`
	FrequencySet          md.WithdrawFrequencySettingStruct `json:"frequency_set"`            // 频率设置(0:日 1:周 2:月 3:年)
	WithdrawType          int                               `json:"withdraw_type"`            // 提现方式(1:支付宝 2:微信)
	VipLevelLimit         int                               `json:"vip_level_limit"`          // 提现等级限制
	IsRealName            int                               `json:"is_real_name"`             // 是否实名(0:否 1:是)
	WithdrawNumsLimit     int                               `json:"withdraw_nums_limit"`      // 提现次数限制(对应上方设置周期，0为不限制，失败、驳回不计数 )
	WithdrawAmountLimit   string                            `json:"withdraw_amount_limit"`    // 提现金额限制(0为不限制，大于等于该金额才可以申请提现 )
	WithdrawMultipleLimit string                            `json:"withdraw_multiple_limit"`  // 提现倍数限制（0为不限制，金额限制倍数才可以申请提现 )
	IsSupportDecimalPoint int                               `json:"is_support_decimal_point"` // 是否支持小数点(0:否 1:是)
	IsAuto                int                               `json:"is_auto"`                  // 是否开启自动提现(0:否 1:是)
	WithdrawTimeInterval  string                            `json:"withdraw_time_interval"`   // 提现时段
	WithdrawFeeSet        string                            `json:"withdraw_fee_set"`         // 提现手续费设置
	CreateAt              string                            `json:"create_at"`                // 申请时间
	UpdateAt              string                            `json:"update_at"`                // 处理时间
}

type UpdateWithdrawSettingReq struct {
	Id                    int64                             `json:"id,required"`
	FrequencySet          md.WithdrawFrequencySettingStruct `json:"frequency_set"`            // 频率设置(num 个 duration) (duration (0.天 1.小时 2.周 3.月 4.年))
	WithdrawType          int                               `json:"withdraw_type"`            // 提现方式(1:支付宝 2:微信)
	VipLevelLimit         int                               `json:"vip_level_limit"`          // 提现等级限制
	IsRealName            int                               `json:"is_real_name"`             // 是否实名(0:否 1:是)
	WithdrawNumsLimit     int                               `json:"withdraw_nums_limit"`      // 提现次数限制(对应上方设置周期，0为不限制，失败、驳回不计数 )
	WithdrawAmountLimit   string                            `json:"withdraw_amount_limit"`    // 提现金额限制(0为不限制，大于等于该金额才可以申请提现 )
	WithdrawMultipleLimit string                            `json:"withdraw_multiple_limit"`  // 提现倍数限制（0为不限制，金额限制倍数才可以申请提现 )
	IsSupportDecimalPoint int                               `json:"is_support_decimal_point"` // 是否支持小数点(0:否 1:是)
	IsAuto                int                               `json:"is_auto"`                  // 是否开启自动提现(0:否 1:是)
	WithdrawTimeInterval  string                            `json:"withdraw_time_interval"`   // 提现时段
	WithdrawFeeSet        string                            `json:"withdraw_fee_set"`         // 提现手续费设置
}
